<!DOCTYPE html>
<html lang="en">

<head>
    <meta charset="UTF-8">
    <meta http-equiv="X-UA-Compatible" content="IE=edge">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <title>Document</title>
    <style>
        div {
            width: 110px;
            height: 110px;
            margin: 10px;
            line-height: 110px;
            text-align: center;
            position: relative;
        }

        #caja1 {
            transition: 1s;
            background-color: red;
        }

        #caja2 {
            transition: 1s;
            background-color: blue;
            left: 0px;
            top: 0px;
        }

        #caja1:hover+#caja2 {
            transition: 1s;
            left: calc(100% - 120px);
            background-color: goldenrod;
            transform: rotate(720deg);
        }
    </style>
</head>

<body>
    <div id="caja1">CAJA 1</div>
    <div id="caja2">CAJA 2</div>
</body>

</html>